curl --request GET \
--url https://api.open.cx/workflows/definitions \
--header 'Authorization: Bearer <token>'{
"action_types": [
{
"type": "<string>",
"name": "<string>",
"description": "<string>",
"category": "<string>",
"icon": "<string>",
"input_fields": [
{
"name": "<string>",
"type": "<string>",
"display_name": "<string>",
"required": true,
"description": "<string>"
}
],
"output_fields": [
{
"name": "<string>",
"type": "<string>",
"display_name": "<string>",
"required": true,
"description": "<string>"
}
]
}
],
"trigger_types": [
{
"type": "<string>",
"name": "<string>",
"description": "<string>",
"icon": "<string>"
}
],
"block_types": [
{
"type": "<string>",
"name": "<string>",
"description": "<string>"
}
]
}List all available workflow action types and trigger types with their metadata. Use this to discover what actions and triggers are available when building workflows programmatically.
curl --request GET \
--url https://api.open.cx/workflows/definitions \
--header 'Authorization: Bearer <token>'{
"action_types": [
{
"type": "<string>",
"name": "<string>",
"description": "<string>",
"category": "<string>",
"icon": "<string>",
"input_fields": [
{
"name": "<string>",
"type": "<string>",
"display_name": "<string>",
"required": true,
"description": "<string>"
}
],
"output_fields": [
{
"name": "<string>",
"type": "<string>",
"display_name": "<string>",
"required": true,
"description": "<string>"
}
]
}
],
"trigger_types": [
{
"type": "<string>",
"name": "<string>",
"description": "<string>",
"icon": "<string>"
}
],
"block_types": [
{
"type": "<string>",
"name": "<string>",
"description": "<string>"
}
]
}Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Default Response
Was this page helpful?